List organization structures
curl --request GET \
--url https://api.saas-manager.biz.nuro.jp/api/v1/organizations/{organizationId}/structures \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.saas-manager.biz.nuro.jp/api/v1/organizations/{organizationId}/structures"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.saas-manager.biz.nuro.jp/api/v1/organizations/{organizationId}/structures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 1,
"name": "company",
"type": "company",
"memberCount": 42,
"serviceCount": 42,
"subStructureCount": {
"companies": 42,
"departments": 42,
"divisions": 42,
"groups": 42,
"locations": 42,
"projects": 42,
"teams": 42,
"custom": 42,
"total": 42
},
"subStructures": [
123
],
"parentStructures": [
123
],
"customAttributes": {
"zip_code": "12345",
"address": "123 Main St"
}
}
]
}Structures
List organization structures
Retrieve the organization structure tree.
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
structures
List organization structures
承認
For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Assist SaaS Manager
パスパラメータ
クエリパラメータ
Search keyword.
例:
"Company A"
Filter for structure type.
利用可能なオプション:
company, sub-company, department, division, group, location, project, team Filter to include only this structure and all its descendants.
例:
123
レスポンス
Show child attributes
Show child attributes
最終更新日 2026年10月7日